{% extends "base.html" %}

{% block title %}{{super()}} &mdash; home{% endblock %}
{% block meta_title %}{{super()}} &mdash; home{% endblock %}

{% block head %}
{{super()}}
<link rel="stylesheet" type="text/css" href="{{ SITEURL }}/{{ THEME_STATIC_DIR }}/css/ring-space.css" />
{% endblock head %}

{% block body_class %}
home
{% endblock body_class %}

{% block content %}

{# tabindex="0" makes it focussable, then we have to focus it in js #}
<div id="scrolling-ring" class="scrolling-ring" tabindex="0">

  <div class="ring-space-wrapper">
    <div class="ring-space-cut">
      <main id="ring-space" class="ring-space">
        
        {% for section in categories|cat_sort %}
          {% include 'partials/home__section.html' %}
        {% endfor %}

      </main>
    </div>
  </div>

  <footer id="floor" class="floor pad">
    <div class="modal-hover">
      <div class="modal-hover__summary">
        <h2>⇄</h2>
      </div>
      <div class="modal-hover__content">
        {% for p in pages %}
          {% if p.slug == "controls" %}
            {{ p.content }}
          {% endif %}
        {% endfor %}
      </div>
    </div>

    {# TODO: MENU-ITEMS #}
    {#
    <nav>
      <ul class="main-nav">
        <li><a href="#">about this space</a></li>
        <li><a href="#">list form</a></li>
        <li><a href="#">RSS</a></li>
      </ul>
    </nav>#}
  </footer>

</div>

{% endblock content %}

{% block script %}
{{super()}}
  <script type="text/javascript" src="{{ SITEURL }}/{{ THEME_STATIC_DIR }}/js/ring-space.js"></script>
{% endblock script %}
